<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\VariantePiatto;

class VariantePiattoController extends Controller
{
    public static $permission_group = "Varianti Piatto";
    public static $permissions = [
        'view-variante-piatto' => 'Vedi',
        'create-variante-piatto' => 'Crea',
        'edit-variante-piatto' => 'Modifica',
        'delete-variante-piatto' => 'Elimina',
    ];

    public static function middleware(): array
    {
        return [
            new Middleware('permission:view-variante-piatto', only: ['index']),
            new Middleware('permission:create-variante-piatto|edit-variante-piatto|delete-variante-piatto', only: ['store', 'update', 'destroy']),
        ];
    }

    public function index(VariantePiattoDataTable $dataTable)
    {
        $dataTable->attivita_id = Session::get('attivita_attuale');
        return $dataTable->render('variante_piatto.index');
    }

}
